Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1161035

Summary: Review Request: nodejs-i18n-node-angular - i18n-node in an AngularJS application
Product: [Fedora] Fedora Reporter: anish <apatil>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: anish.developer, package-review, piotr1212, zsvetlik
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-01-07 10:44:22 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1096052    
Bug Blocks: 201449, 956806    

Description anish 2014-11-06 08:40:48 UTC
Spec URL: http://anishpatil.fedorapeople.org/nodejs-i18n-node-angular.spec
SRPM URL: http://anishpatil.fedorapeople.org/nodejs-i18n-node-angular-1.2.1-1.fc20.src.rpm
Description: i18n-node in an AngularJS application,library to i18n angularjs applications
Fedora Account System Username: anishpatil

Comment 2 Zuzana Svetlikova 2015-04-15 12:48:18 UTC
Some comments:

- not latest version
- please try to use npm registry in sources, I am having difficulties with packages with github source (http://fedoraproject.org/wiki/User:Patches/PackagingDrafts/NodeJS#Using_tarballs_from_the_npm_registry)
- put BuildRequires for devDependencies in conditional, please
- missing nodejs_symlink_macros in both %install and %check
- LICENSE should be in %license

Comment 3 Upstream Release Monitoring 2015-09-24 15:04:47 UTC
jgrulich's scratch build of kdevelop?#c8e2b9bc57f11e41f3dc6612cdbcc591078d9062 for f22-candidate and git://pkgs.fedoraproject.org/kdevelop?#c8e2b9bc57f11e41f3dc6612cdbcc591078d9062 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11212117

Comment 4 Piotr Popieluch 2015-10-17 12:12:04 UTC
This seems stalled, any updates?